org.eclipse.emf.cdo.explorer

## Interface CDOExplorerManager.ElementsChangedEvent

- All Superinterfaces:
    IEvent
  Enclosing interface:
    CDOExplorerManager<T extends CDOExplorerElement>

      public static interface CDOExplorerManager.ElementsChangedEvent
      extends IEvent

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDOExplorerManager.ElementsChangedEvent.StructuralImpact`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object[]` | `getChangedElements()`
    `CDOExplorerManager<?>` | `getSource()`
    `CDOExplorerManager.ElementsChangedEvent.StructuralImpact` | `getStructuralImpact()`

- - ### Method Detail

    - #### getSource

          CDOExplorerManager<?> getSource()

      Specified by:
        `getSource` in interface `IEvent`

    - #### getStructuralImpact

          CDOExplorerManager.ElementsChangedEvent.StructuralImpact getStructuralImpact()

    - #### getChangedElements

          java.lang.Object[] getChangedElements()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html